Results 1 to 7 of 7

Thread: attedit - multiple layer change? URGENT!

  1. #1
    Member
    Join Date
    2007-03
    Posts
    20
    Login to Give a bone
    0

    Default attedit - multiple layer change? URGENT!

    Hi guys,

    I'm currently working on a drawing with a large amount of equipment blocks. We ran into a problem with the layers the attribute text is on within the blocks, and need to change the layer.

    The problem is that this block has been rotated and mirrored all around these drawings. This means when we run battman, or attsync to sync the layer change on the attributed text, the block then shows the attributed text as backwards or upside down after the sync, based on how the block was mirrored or rotated etc.

    Does anyone have a solution to how we can get around this problem quickly? Are we forgetting a command that will change the layer without resetting the position of the text in all the blocks and leave the text as it shows currently? Are there any lisp routines out there to take care of this?

    It's a very urgent matter, and your quick responses will be greatly appreciated!

    Thanks

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    8,906
    Login to Give a bone
    0

    Default Re: attedit - multiple layer change? URGENT!

    You might try the Layer Merge command (laymrg).
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    Member
    Join Date
    2007-03
    Posts
    20
    Login to Give a bone
    0

    Default Re: attedit - multiple layer change? URGENT!

    This would still require a sync to be run on the blocks... in which case the attributed tags will still appear rotated or mirrored when the blocks sync.

  4. #4
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    8,906
    Login to Give a bone
    0

    Default Re: attedit - multiple layer change? URGENT!

    What is the current layer(s) the attribute resides on? What is the new layer? Is anything else on the current or new layer?

    I would temporarily make a new layer for your attribute(s). If there is anything on the layers that need to remain, move those to a different temporary layer. Run laymrg as many times as necessary to get your attributes to the correct layer. IF you delete the current layers in the process of laymrg, the attributes should not continue to have a link to the incorrect layers.

    You might also copy the blocks that will be modified to their own drawing and do the work in there.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  5. #5
    AUGI Addict
    Join Date
    2008-02
    Posts
    1,141
    Login to Give a bone
    0

    Default Re: attedit - multiple layer change? URGENT!

    Code:
    (defun c:test (/ ent)
      ;; Alan J. Thompson, 08.25.10
      (if (setq ent (car (entsel "\nSelect block: ")))
        (if (eq "INSERT" (cdr (assoc 0 (entget ent))))
          ((lambda (e)
             (while (setq e (entnext e))
               (entmod (subst (cons 8 "0") (assoc 8 (entget e)) (entget e)))
             )
             (command "_.regen")
           )
            (tblobjname "BLOCK" (cdr (assoc 2 (entget ent))))
          )
        )
      )
      (princ)
    )

  6. #6
    Member
    Join Date
    2007-03
    Posts
    20
    Login to Give a bone
    0

    Default Re: attedit - multiple layer change? URGENT!

    Thanks A, can you please explain, so i can use it properly?

  7. #7
    AUGI Addict
    Join Date
    2008-02
    Posts
    1,141
    Login to Give a bone
    0

    Default Re: attedit - multiple layer change? URGENT!

    Quote Originally Posted by DeluXe View Post
    Thanks A, can you please explain, so i can use it properly?
    Load, execute and select a block.

Similar Threads

  1. 2013: [URGENT] Change Revit Schedule Display Language?
    By ng_ph_long293217 in forum Revit MEP - General
    Replies: 4
    Last Post: 2013-02-06, 08:24 AM
  2. Replies: 5
    Last Post: 2008-11-27, 06:38 AM
  3. Replies: 6
    Last Post: 2007-05-30, 05:45 PM
  4. Replies: 7
    Last Post: 2006-10-23, 04:18 AM
  5. Replies: 2
    Last Post: 2004-06-09, 04:38 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •